Skip to content

Change Lead Program Status

POST /rest/v1/leads/programs/{programId}/status.json

Permissions Read-Write Lead<br><br><b>Note: This endpoint has been superseded.</b> Use <a href="https://developer.adobe.com/marketo-apis/api/mapi/#operation/syncProgramMemberStatusUsingPOST">Sync Program Member Status</a> endpoint instead

Build a request and mock the response

Method: POST
Path: /rest/v1/leads/programs/{programId}/status.json
Tag: Leads
Operation ID: changeLeadProgramStatusUsingPOST

Changes the program status of a list of leads in a target program. Only existing members of the program may have their status changed with this API. Required Permissions: Read-Write Lead

Note: This endpoint has been superseded. Use Sync Program Member Status endpoint instead.

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
programId integer (int32) Yes The id of target program

Request body

Name: changeLeadProgramStatusRequest
Required: Yes
Schema: model: ChangeLeadProgramStatusRequest

changeLeadProgramStatusRequest

Generated example

{
  "input": [
    {
      "id": 123
    }
  ],
  "status": "string"
}

Referenced models

Example request

POST {{base_url}}/rest/v1/leads/programs/{{programId}}/status.json
Content-Type: application/json
Accept: application/json

{
  "input": [
    {
      "id": 123
    }
  ],
  "status": "string"
}

Responses

200 — OK

Schema: model: ResponseOfChangeLeadProgramStatusOutputData

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.